# fn:substring-before

fn:substring-before( string? $operand1, string? $operand2) → string?

Function signature

$operand1 | xs:string ?
$operand2 | xs:string ?
Result | xs:string ?

Returns that part of the given input string that occurs before the first occurrence of the string given in $operand2

XPath 2.0 Specification

fn:substring-before( string? $operand1, string? $operand2, anyURI $collation) → string?

Function signature

$operand1 | xs:string ?
$operand2 | xs:string ?
$collation | xs:string
Result | xs:string ?

Returns that part of the given input string that occurs before the first occurrence of the string given in $operand2, using the given collation to compare strings

XPath 2.0 Specification

Expand | Up Next